Skip to main content

Knowledge Source

View as Markdown

KnowledgeSource represents a source of knowledge for the KnowledgeAssistant. Used in create/update requests and returned in Get/List responses. Note: REQUIRED annotations below represent create-time requirements. For updates, required fields are determined by the update mask.

KnowledgeSource object

KnowledgeSource represents a source of knowledge for the KnowledgeAssistant. Used in create/update requests and returned in Get/List responses. Note: REQUIRED annotations below represent create-time requirements. For updates, required fields are determined by the update mask.

namestring

Full resource name: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

display_namestring

Human-readable display name of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

descriptionstring

Description of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

source_typestring

The type of the source: "index", "files", or "file_table". Required when creating a Knowledge Source. When updating a Knowledge Source, this field is ignored.

indexobject
Show child attributesHide child attributes
index_namestring

Full UC name of the vector search index, in the format of {CATALOG}.{SCHEMA}.{INDEX_NAME}.

text_colstring

The column that includes the document text for retrieval.

doc_uri_colstring

The column that specifies a link or reference to where the information came from.

filesobject
Show child attributesHide child attributes
pathstring

A UC volume path that includes a list of files.

file_tableobject
Show child attributesHide child attributes
table_namestring

Full UC name of the table, in the format of {CATALOG}.{SCHEMA}.{TABLE_NAME}.

file_colstring

The name of the column containing BINARY file content to be indexed.

statestring

Values: STATE_UNSPECIFIED, UPDATING, UPDATED, FAILED_UPDATE

idstring
knowledge_cutoff_timestring

Timestamp representing the cutoff before which content in this knowledge source is being ingested.

create_timestring

Timestamp when this knowledge source was created.

Get

GET /api/2.1/{name=knowledge-assistants/*/knowledge-sources/*}

Gets a Knowledge Source.

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the Knowledge Source. Format: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

Response

Returns the KnowledgeSource object.

List

GET /api/2.1/{parent=knowledge-assistants/*}/knowledge-sources

Lists Knowledge Sources under a Knowledge Assistant.

API scopes: knowledge-assistants

Parameters

parentstringpath

Parent resource to list from. Format: knowledge-assistants/{knowledge_assistant_id}

page_sizeint32query

Constraints: [ 1 .. 100 ]

page_tokenstringquery

Response

Returns a list of KnowledgeSource objects.

Create

POST /api/2.1/{parent=knowledge-assistants/*}/knowledge-sources

Creates a Knowledge Source under a Knowledge Assistant.

API scopes: knowledge-assistants

Parameters

parentstringpath

Parent resource where this source will be created. Format: knowledge-assistants/{knowledge_assistant_id}

Request body

knowledge_sourceobject
Show child attributesHide child attributes
namestring

Full resource name: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

display_namestring

Human-readable display name of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

descriptionstring

Description of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

source_typestring

The type of the source: "index", "files", or "file_table". Required when creating a Knowledge Source. When updating a Knowledge Source, this field is ignored.

indexobjectRequired
Show child attributesHide child attributes
index_namestring

Full UC name of the vector search index, in the format of {CATALOG}.{SCHEMA}.{INDEX_NAME}.

text_colstring

The column that includes the document text for retrieval.

doc_uri_colstring

The column that specifies a link or reference to where the information came from.

filesobjectRequired
Show child attributesHide child attributes
pathstring

A UC volume path that includes a list of files.

file_tableobjectRequired
Show child attributesHide child attributes
table_namestring

Full UC name of the table, in the format of {CATALOG}.{SCHEMA}.{TABLE_NAME}.

file_colstring

The name of the column containing BINARY file content to be indexed.

statestring

Values: STATE_UNSPECIFIED, UPDATING, UPDATED, FAILED_UPDATE

idstring
knowledge_cutoff_timestring

Timestamp representing the cutoff before which content in this knowledge source is being ingested.

create_timestring

Timestamp when this knowledge source was created.

Response

Returns the KnowledgeSource object.

Update

PATCH /api/2.1/{name=knowledge-assistants/*/knowledge-sources/*}

Updates a Knowledge Source.

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the Knowledge Source to update. Format: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

update_maskstringquery

Comma-delimited list of fields to update on the Knowledge Source. Allowed values: display_name, description. Examples:

  • display_name
  • display_name,description

Request body

knowledge_sourceobject

The Knowledge Source update payload. Only fields listed in update_mask are updated. REQUIRED annotations on Knowledge Source fields describe create-time requirements and do not mean all those fields are required for update.

Show child attributesHide child attributes
namestring

Full resource name: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}

display_namestring

Human-readable display name of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

descriptionstring

Description of the knowledge source. Required when creating a Knowledge Source. When updating a Knowledge Source, optional unless included in update_mask.

source_typestring

The type of the source: "index", "files", or "file_table". Required when creating a Knowledge Source. When updating a Knowledge Source, this field is ignored.

indexobjectRequired
Show child attributesHide child attributes
index_namestring

Full UC name of the vector search index, in the format of {CATALOG}.{SCHEMA}.{INDEX_NAME}.

text_colstring

The column that includes the document text for retrieval.

doc_uri_colstring

The column that specifies a link or reference to where the information came from.

filesobjectRequired
Show child attributesHide child attributes
pathstring

A UC volume path that includes a list of files.

file_tableobjectRequired
Show child attributesHide child attributes
table_namestring

Full UC name of the table, in the format of {CATALOG}.{SCHEMA}.{TABLE_NAME}.

file_colstring

The name of the column containing BINARY file content to be indexed.

statestring

Values: STATE_UNSPECIFIED, UPDATING, UPDATED, FAILED_UPDATE

idstring
knowledge_cutoff_timestring

Timestamp representing the cutoff before which content in this knowledge source is being ingested.

create_timestring

Timestamp when this knowledge source was created.

Response

Returns the KnowledgeSource object.

Delete

DELETE /api/2.1/{name=knowledge-assistants/*/knowledge-sources/*}

Deletes a Knowledge Source.

API scopes: knowledge-assistants

Parameters

namestringpath

The resource name of the Knowledge Source to delete. Format: knowledge-assistants/{knowledge_assistant_id}/knowledge-sources/{knowledge_source_id}